#include <stdio.h>
#include <string.h>
#include <ctype.h>

#include "tpw.h"
#include "char.h"
#include "party.h"
#include "rename.h"

int renameChar(char * filename) {
FILE *fp;
struct TPW tpw;
struct PARTY party;
struct BARDCHAR bard;
int i;
char buffer[255];

fp = fopen(filename, "rb");
if (!fp) return 1; /* unable to open file for read */
fgetTPW(&tpw, fp);
if (isparty(tpw)) {
	getparty(&party, fp);
} else {
	fgetBardCharacter(&bard, fp);
}
fclose(fp);
printf("Character name is currently %s\n",tpw.name);
printf("Type new name for charcter.> ");
scanf("%[A-Za-z ]",buffer);
strncpy(tpw.name, buffer, 14);
tpw.name[14]='\0';
for (i=0; i<14; i++) tpw.name[i] = toupper(tpw.name[i]);
printf("New name is %s\n", tpw.name);
printf("Save changes? (Y/N) ");
scanf(" %s", buffer);
buffer[0] = toupper(buffer[0]);
if (buffer[0]!='Y') return 4; /* user aborted change */
fp = fopen(filename, "wb");
if (!fp) return 2; /* unable to open file for write */
fputTPW(&tpw, fp);
if (isparty(tpw)) {
	putparty(&party, fp);
} else {
	fputBardCharacter(&bard, fp);
}

fclose(fp);
return 0;
}
