/* Bard's Tale Character Definition */
#if !Defined(_BARDCHAR)
#define _BARDCHAR

#define BT_DEAD      0x02
#define BT_OLD       0x04
#define BT_POISONED  0x08
#define BT_STONED    0x10
#define BT_PARALYZED 0x20
#define BT_POSSESSED 0x40
#define BT_NUTS      0x80 

struct CHARITEM {
    char code;
    char status;
};
enum CLASS {
		Warrior, Paladin, Rogue, Bard, Hunter,
		Monk, Conjurer, Magician, Sorceror, Wizard
		
};
enum RACE { 
		Human, Elf, Dwarf, Hobbit, 
		Half_elf, Half_orc, Gnome
};
struct BARDCHAR {
/*00*/    int status; /* bitfield:
            0x02: dead;
            0x04: old;
            0x08: poisoned;
            0x10: stoned;
            0x20: paralyzed;
            0x40: possessed;
            0x80: nuts; */
/*02*/    enum RACE race;   /* races in order:
            human, elf, dwarf, hobbit, half-elf,
            half-orc, gnome */
/*04*/    enum CLASS class;  /* classes in order:
            warrior, paladin, rogue, bard, 
            hunter, monk, conjurer, magician,
            sorceror, wizard */
/*06*/    int strength;
/*08*/    int iq;
/*10*/    int dexterity;
/*12*/    int constitution;
/*14*/    int luck;
/*16*/    int mstrength;
/*18*/    int miq;
/*20*/    int mdexterity;
/*22*/    int mconstitution;
/*24*/    int mluck;
/*26*/    char skip1[2];
/*28*/    int hp;
/*30*/    int condition;
/*32*/    int sppt;
/*34*/    int msppt;
/*36*/    struct CHARITEM item[8];
/*52*/    unsigned long experience;
/*56*/    unsigned long gold;
/*60*/    int level;
/*62*/    int mlevel;
/*64*/    char sorclevel;
/*65*/    char conjlevel;
/*66*/    char magilevel;
/*67*/    char wizdlevel;
/*68*/    char skip2[8];
/*71*/    int songs;
/*73*/    char skip3[6];
/*79*/    int attacks;
/*81*/    char skip4[6];
};

int printStatus();
int printClass();
int printRace();
int fgetBardCharacter();
int fputBardCharacter();
int dumpcharacter();
int shortDumpChar();
int csvDumpChar();
int csvDumpHeader();
int isBard();
int isMage();
int getsExtraAttacks();
#endif
